#ifndef SOLVERUTILS_H
#define SOLVERUTILS_H

#include <vector>
#include <string>

using namespace std;

// General utils
class SolverUtils
{
    public:

        static void ReverseStringArray( vector<string>& aStrings );
        static void VectorSum( vector<string>& aLeft, vector<string>& aRight,
                               vector<string>& aResult );

        static void DebugPrint( const string& aText );
        static void DebugPrintLn( const string& aText );
        
	private:
		SolverUtils() {}
		~SolverUtils() {}
};

#endif // SOLVERUTILS_H
