#include <iostream>
#include "solverbase.h" 

//-----------------------------------------------------------------------------
SolverBase::SolverBase()
//-----------------------------------------------------------------------------
:   iMaxIteration( 40 ) // default
    {
    }

//-----------------------------------------------------------------------------
SolverBase::~SolverBase()
//-----------------------------------------------------------------------------
    {
    }

//-----------------------------------------------------------------------------
void SolverBase::SetMaxIteration( int aMaxIteration )
//-----------------------------------------------------------------------------
    {
    iMaxIteration = aMaxIteration;
    }
    
//-----------------------------------------------------------------------------
void SolverIntBase::SetPattern( const vector<int>& aPattern, int aRequired )
//-----------------------------------------------------------------------------
    {
    iPattern.clear();
    iPattern = aPattern;
    iRequired = aRequired;
    }

//-----------------------------------------------------------------------------
void SolverIntBase::GetAnswer( vector<int>& aAnswer )
//-----------------------------------------------------------------------------
    {
    aAnswer = iAnswer;
    }

//-----------------------------------------------------------------------------
void SolverStringBase::SetPattern( const vector<string>& aPattern, int aRequired )
//-----------------------------------------------------------------------------
    {
    iPattern.clear();
    iPattern = aPattern;
    iRequired = aRequired;
    }

//-----------------------------------------------------------------------------
void SolverStringBase::GetAnswer( vector<string>& aAnswer )
//-----------------------------------------------------------------------------
    {
    aAnswer = iAnswer;
    }
